Mandrake Linux Security Advisory : net-snmp (MDKSA-2003:115)

Medium Nessus Plugin ID 14097


The remote Mandrake Linux host is missing one or more security updates.


A vulnerability in Net-SNMP versions prior to 5.0.9 could allow an existing user/community to gain access to data in MIB objects that were explicitly excluded from their view.

The updated packages provide Net-SNMP version 5.0.9 which is not vulnerable to this issue and also fixes a number of other smaller bugs.


Update the affected packages.

See Also

Plugin Details

Severity: Medium

ID: 14097

File Name: mandrake_MDKSA-2003-115.nasl

Version: $Revision: 1.14 $

Type: local

Published: 2004/07/31

Modified: 2013/05/31

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.4

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:N

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:libnet-snmp50, p-cpe:/a:mandriva:linux:libnet-snmp50-devel, p-cpe:/a:mandriva:linux:libnet-snmp50-static-devel, p-cpe:/a:mandriva:linux:net-snmp, p-cpe:/a:mandriva:linux:net-snmp-mibs, p-cpe:/a:mandriva:linux:net-snmp-trapd, p-cpe:/a:mandriva:linux:net-snmp-utils, cpe:/o:mandrakesoft:mandrake_linux:9.1, cpe:/o:mandrakesoft:mandrake_linux:9.2

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2003/12/11

Reference Information

CVE: CVE-2003-0935

MDKSA: 2003:115